{
  "type" : "record",
  "name" : "VariantAvro",
  "namespace" : "org.opencb.biodata.models.variant.avro",
  "fields" : [ {
    "name" : "id",
    "type" : [ "null", "string" ],
    "doc" : "* The variant ID."
  }, {
    "name" : "names",
    "type" : {
      "type" : "array",
      "items" : "string"
    },
    "doc" : "* Other names used for this genomic variation.",
    "default" : [ ]
  }, {
    "name" : "chromosome",
    "type" : "string",
    "doc" : "* Chromosome where the genomic variation occurred."
  }, {
    "name" : "start",
    "type" : "int",
    "doc" : "* Normalized position where the genomic variation starts.\n         * <ul>\n         * <li>SNVs have the same start and end position</li>\n         * <li>Insertions start in the last present position: if the first nucleotide\n         * is inserted in position 6, the start is position 5</li>\n         * <li>Deletions start in the first previously present position: if the first\n         * deleted nucleotide is in position 6, the start is position 6</li>\n         * </ul>"
  }, {
    "name" : "end",
    "type" : "int",
    "doc" : "* Normalized position where the genomic variation ends.\n         * <ul>\n         * <li>SNVs have the same start and end positions</li>\n         * <li>Insertions end in the first present position: if the last nucleotide\n         * is inserted in position 9, the end is position 10</li>\n         * <li>Deletions ends in the last previously present position: if the last\n         * deleted nucleotide is in position 9, the end is position 9</li>\n         * </ul>"
  }, {
    "name" : "reference",
    "type" : "string",
    "doc" : "* Reference allele."
  }, {
    "name" : "alternate",
    "type" : "string",
    "doc" : "* Alternate allele."
  }, {
    "name" : "strand",
    "type" : [ "null", "string" ],
    "doc" : "* Reference strand for this variant",
    "default" : null
  }, {
    "name" : "sv",
    "type" : [ "null", {
      "type" : "record",
      "name" : "StructuralVariation",
      "fields" : [ {
        "name" : "ciStartLeft",
        "type" : [ "null", "int" ]
      }, {
        "name" : "ciStartRight",
        "type" : [ "null", "int" ]
      }, {
        "name" : "ciEndLeft",
        "type" : [ "null", "int" ]
      }, {
        "name" : "ciEndRight",
        "type" : [ "null", "int" ]
      }, {
        "name" : "copyNumber",
        "type" : [ "null", "int" ],
        "doc" : "* Number of copies for CNV variants."
      }, {
        "name" : "leftSvInsSeq",
        "type" : [ "null", "string" ],
        "doc" : "* Inserted sequence for long INS\n        *"
      }, {
        "name" : "rightSvInsSeq",
        "type" : [ "null", "string" ]
      }, {
        "name" : "type",
        "type" : [ "null", {
          "type" : "enum",
          "name" : "StructuralVariantType",
          "doc" : "* Type of structural variation\n     * <ul>\n     * <li>COPY_NUMBER_GAIN for CNVs</li>\n     * <li>COPY_NUMBER_LOSS for CNVs</li>\n     * <li>TANDEM_DUPLICATION for DUP</li>\n     * </ul>",
          "symbols" : [ "COPY_NUMBER_GAIN", "COPY_NUMBER_LOSS", "TANDEM_DUPLICATION" ]
        } ],
        "doc" : "* Structural variation type: COPY_NUMBER_GAIN, COPY_NUMBER_LOSS, TANDEM_DUPLICATION, ..."
      } ]
    } ],
    "doc" : "* Information regarding Structural Variants",
    "default" : null
  }, {
    "name" : "length",
    "type" : "int",
    "doc" : "* Length of the genomic variation, which depends on the variation type.\n         * <ul>\n         * <li>SNVs have a length of 1 nucleotide</li>\n         * <li>Indels have the length of the largest allele</li>\n         * </ul>"
  }, {
    "name" : "type",
    "type" : {
      "type" : "enum",
      "name" : "VariantType",
      "doc" : "* Type of variation, which depends mostly on its length.\n     * <ul>\n     * <li>SNVs involve a single nucleotide, without changes in length</li>\n     * <li>MNVs involve multiple nucleotides, without changes in length</li>\n     * <li>Indels are insertions or deletions of less than SV_THRESHOLD (50) nucleotides</li>\n     * <li>Structural variations are large changes of more than SV_THRESHOLD nucleotides</li>\n     * <li>Copy-number variations alter the number of copies of a region</li>\n     * </ul>",
      "symbols" : [ "SNV", "SNP", "MNV", "MNP", "INDEL", "SV", "INSERTION", "DELETION", "TRANSLOCATION", "INVERSION", "CNV", "DUPLICATION", "BREAKEND", "NO_VARIATION", "SYMBOLIC", "MIXED" ]
    },
    "doc" : "* Type of variation: single nucleotide, indel or structural variation."
  }, {
    "name" : "hgvs",
    "type" : [ "null", {
      "type" : "map",
      "values" : {
        "type" : "array",
        "items" : "string"
      }
    } ],
    "doc" : "* Unique identifier following the HGVS nomenclature.",
    "default" : null
  }, {
    "name" : "studies",
    "type" : {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "StudyEntry",
        "fields" : [ {
          "name" : "studyId",
          "type" : [ "null", "string" ],
          "doc" : "* Unique identifier of the study."
        }, {
          "name" : "files",
          "type" : {
            "type" : "array",
            "items" : {
              "type" : "record",
              "name" : "FileEntry",
              "fields" : [ {
                "name" : "fileId",
                "type" : [ "null", "string" ],
                "doc" : "* Unique identifier of the source file."
              }, {
                "name" : "call",
                "type" : [ "null", "string" ],
                "doc" : "* Original call position for the variant, if the file was normalized.\n         *\n         * {position}:{reference}:{alternate}(,{other_alternate})*:{allele_index}"
              }, {
                "name" : "attributes",
                "type" : {
                  "type" : "map",
                  "values" : "string"
                },
                "doc" : "* Optional attributes that probably depend on the format of the file the\n         * variant was initially read from."
              } ]
            }
          },
          "doc" : "* List of files from the study where the variant was present.",
          "default" : [ ]
        }, {
          "name" : "secondaryAlternates",
          "type" : [ "null", {
            "type" : "array",
            "items" : {
              "type" : "record",
              "name" : "AlternateCoordinate",
              "fields" : [ {
                "name" : "chromosome",
                "type" : [ "null", "string" ]
              }, {
                "name" : "start",
                "type" : [ "null", "int" ],
                "doc" : "* First position 1-based of the alternate. If null, the start is the same of the variant."
              }, {
                "name" : "end",
                "type" : [ "null", "int" ],
                "doc" : "* End position 1-based of the alternate. If null, the end is the same of the variant."
              }, {
                "name" : "reference",
                "type" : [ "null", "string" ],
                "doc" : "* Reference allele. If null, the reference is the same of the variant."
              }, {
                "name" : "alternate",
                "type" : "string",
                "doc" : "* Alternate allele."
              }, {
                "name" : "type",
                "type" : "VariantType"
              } ]
            }
          } ],
          "doc" : "* Alternate alleles that appear along with a variant alternate.",
          "default" : null
        }, {
          "name" : "format",
          "type" : {
            "type" : "array",
            "items" : "string"
          },
          "doc" : "* Fields stored for each sample."
        }, {
          "name" : "samplesData",
          "type" : {
            "type" : "array",
            "items" : {
              "type" : "array",
              "items" : "string"
            }
          },
          "doc" : "* Genotypes and other sample-related information. Each position is related\n         * with one sample. The content are lists of values in the same order than the\n         * format array. The length of this lists must be the same as the format field."
        }, {
          "name" : "stats",
          "type" : {
            "type" : "map",
            "values" : {
              "type" : "record",
              "name" : "VariantStats",
              "fields" : [ {
                "name" : "refAllele",
                "type" : [ "null", "string" ]
              }, {
                "name" : "altAllele",
                "type" : [ "null", "string" ]
              }, {
                "name" : "refAlleleCount",
                "type" : [ "null", "int" ]
              }, {
                "name" : "altAlleleCount",
                "type" : [ "null", "int" ]
              }, {
                "name" : "genotypesCount",
                "type" : {
                  "type" : "map",
                  "values" : "int",
                  "java-key-class" : "org.opencb.biodata.models.feature.Genotype"
                }
              }, {
                "name" : "genotypesFreq",
                "type" : {
                  "type" : "map",
                  "values" : "float",
                  "java-key-class" : "org.opencb.biodata.models.feature.Genotype"
                }
              }, {
                "name" : "missingAlleles",
                "type" : [ "null", "int" ]
              }, {
                "name" : "missingGenotypes",
                "type" : [ "null", "int" ]
              }, {
                "name" : "refAlleleFreq",
                "type" : [ "null", "float" ]
              }, {
                "name" : "altAlleleFreq",
                "type" : [ "null", "float" ]
              }, {
                "name" : "maf",
                "type" : [ "null", "float" ]
              }, {
                "name" : "mgf",
                "type" : [ "null", "float" ]
              }, {
                "name" : "mafAllele",
                "type" : [ "null", "string" ]
              }, {
                "name" : "mgfGenotype",
                "type" : [ "null", "string" ]
              }, {
                "name" : "passedFilters",
                "type" : [ "null", "boolean" ]
              }, {
                "name" : "mendelianErrors",
                "type" : [ "null", "int" ]
              }, {
                "name" : "casesPercentDominant",
                "type" : [ "null", "float" ]
              }, {
                "name" : "controlsPercentDominant",
                "type" : [ "null", "float" ]
              }, {
                "name" : "casesPercentRecessive",
                "type" : [ "null", "float" ]
              }, {
                "name" : "controlsPercentRecessive",
                "type" : [ "null", "float" ]
              }, {
                "name" : "quality",
                "type" : [ "null", "float" ]
              }, {
                "name" : "numSamples",
                "type" : [ "null", "int" ]
              }, {
                "name" : "variantType",
                "type" : [ "null", "VariantType" ],
                "default" : null
              }, {
                "name" : "hw",
                "type" : [ "null", {
                  "type" : "record",
                  "name" : "VariantHardyWeinbergStats",
                  "fields" : [ {
                    "name" : "chi2",
                    "type" : [ "null", "float" ]
                  }, {
                    "name" : "pValue",
                    "type" : [ "null", "float" ]
                  }, {
                    "name" : "n",
                    "type" : [ "null", "int" ]
                  }, {
                    "name" : "n_AA_11",
                    "type" : [ "null", "int" ]
                  }, {
                    "name" : "n_Aa_10",
                    "type" : [ "null", "int" ]
                  }, {
                    "name" : "n_aa_00",
                    "type" : [ "null", "int" ]
                  }, {
                    "name" : "e_AA_11",
                    "type" : [ "null", "float" ]
                  }, {
                    "name" : "e_Aa_10",
                    "type" : [ "null", "float" ]
                  }, {
                    "name" : "e_aa_00",
                    "type" : [ "null", "float" ]
                  }, {
                    "name" : "p",
                    "type" : [ "null", "float" ]
                  }, {
                    "name" : "q",
                    "type" : [ "null", "float" ]
                  } ]
                } ],
                "default" : null
              } ]
            }
          },
          "doc" : "* Statistics of the genomic variation, such as its alleles/genotypes count\n         * or its minimum allele frequency, grouped by cohort name."
        } ]
      }
    },
    "doc" : "* Information specific to each study the variant was read from, such as\n         * samples or statistics."
  }, {
    "name" : "annotation",
    "type" : [ "null", {
      "type" : "record",
      "name" : "VariantAnnotation",
      "fields" : [ {
        "name" : "chromosome",
        "type" : [ "null", "string" ]
      }, {
        "name" : "start",
        "type" : [ "null", "int" ]
      }, {
        "name" : "end",
        "type" : [ "null", "int" ]
      }, {
        "name" : "reference",
        "type" : [ "null", "string" ]
      }, {
        "name" : "alternate",
        "type" : [ "null", "string" ]
      }, {
        "name" : "ancestralAllele",
        "type" : [ "null", "string" ]
      }, {
        "name" : "id",
        "type" : [ "null", "string" ]
      }, {
        "name" : "xrefs",
        "type" : [ "null", {
          "type" : "array",
          "items" : {
            "type" : "record",
            "name" : "Xref",
            "fields" : [ {
              "name" : "id",
              "type" : [ "null", "string" ]
            }, {
              "name" : "source",
              "type" : [ "null", "string" ]
            } ]
          }
        } ]
      }, {
        "name" : "hgvs",
        "type" : [ "null", {
          "type" : "array",
          "items" : "string"
        } ]
      }, {
        "name" : "displayConsequenceType",
        "type" : [ "null", "string" ]
      }, {
        "name" : "consequenceTypes",
        "type" : {
          "type" : "array",
          "items" : {
            "type" : "record",
            "name" : "ConsequenceType",
            "fields" : [ {
              "name" : "geneName",
              "type" : [ "null", "string" ]
            }, {
              "name" : "ensemblGeneId",
              "type" : [ "null", "string" ]
            }, {
              "name" : "ensemblTranscriptId",
              "type" : [ "null", "string" ]
            }, {
              "name" : "strand",
              "type" : [ "null", "string" ]
            }, {
              "name" : "biotype",
              "type" : [ "null", "string" ]
            }, {
              "name" : "exonOverlap",
              "type" : [ "null", {
                "type" : "array",
                "items" : {
                  "type" : "record",
                  "name" : "ExonOverlap",
                  "fields" : [ {
                    "name" : "number",
                    "type" : [ "null", "string" ]
                  }, {
                    "name" : "percentage",
                    "type" : [ "null", "float" ]
                  } ]
                }
              } ]
            }, {
              "name" : "transcriptAnnotationFlags",
              "type" : [ "null", {
                "type" : "array",
                "items" : "string"
              } ]
            }, {
              "name" : "transcriptFlags",
              "type" : [ "null", {
                "type" : "array",
                "items" : "string"
              } ]
            }, {
              "name" : "cdnaPosition",
              "type" : [ "null", "int" ]
            }, {
              "name" : "cdsPosition",
              "type" : [ "null", "int" ]
            }, {
              "name" : "codon",
              "type" : [ "null", "string" ]
            }, {
              "name" : "proteinVariantAnnotation",
              "type" : [ "null", {
                "type" : "record",
                "name" : "ProteinVariantAnnotation",
                "fields" : [ {
                  "name" : "uniprotAccession",
                  "type" : [ "null", "string" ],
                  "default" : null
                }, {
                  "name" : "uniprotName",
                  "type" : [ "null", "string" ],
                  "default" : null
                }, {
                  "name" : "position",
                  "type" : "int"
                }, {
                  "name" : "reference",
                  "type" : [ "null", "string" ]
                }, {
                  "name" : "alternate",
                  "type" : [ "null", "string" ]
                }, {
                  "name" : "uniprotVariantId",
                  "type" : [ "null", "string" ]
                }, {
                  "name" : "functionalDescription",
                  "type" : [ "null", "string" ]
                }, {
                  "name" : "substitutionScores",
                  "type" : [ "null", {
                    "type" : "array",
                    "items" : {
                      "type" : "record",
                      "name" : "Score",
                      "fields" : [ {
                        "name" : "score",
                        "type" : "double"
                      }, {
                        "name" : "source",
                        "type" : "string"
                      }, {
                        "name" : "description",
                        "type" : [ "null", "string" ]
                      } ]
                    }
                  } ]
                }, {
                  "name" : "keywords",
                  "type" : [ "null", {
                    "type" : "array",
                    "items" : "string"
                  } ]
                }, {
                  "name" : "features",
                  "type" : [ "null", {
                    "type" : "array",
                    "items" : {
                      "type" : "record",
                      "name" : "ProteinFeature",
                      "fields" : [ {
                        "name" : "id",
                        "type" : [ "null", "string" ]
                      }, {
                        "name" : "start",
                        "type" : "int"
                      }, {
                        "name" : "end",
                        "type" : "int"
                      }, {
                        "name" : "type",
                        "type" : [ "null", "string" ]
                      }, {
                        "name" : "description",
                        "type" : [ "null", "string" ]
                      } ]
                    }
                  } ]
                } ]
              } ]
            }, {
              "name" : "sequenceOntologyTerms",
              "type" : {
                "type" : "array",
                "items" : {
                  "type" : "record",
                  "name" : "SequenceOntologyTerm",
                  "fields" : [ {
                    "name" : "accession",
                    "type" : "string"
                  }, {
                    "name" : "name",
                    "type" : "string"
                  } ]
                }
              }
            } ]
          }
        },
        "default" : [ ]
      }, {
        "name" : "populationFrequencies",
        "type" : [ "null", {
          "type" : "array",
          "items" : {
            "type" : "record",
            "name" : "PopulationFrequency",
            "fields" : [ {
              "name" : "study",
              "type" : "string"
            }, {
              "name" : "population",
              "type" : "string"
            }, {
              "name" : "refAllele",
              "type" : "string"
            }, {
              "name" : "altAllele",
              "type" : "string"
            }, {
              "name" : "refAlleleFreq",
              "type" : "float"
            }, {
              "name" : "altAlleleFreq",
              "type" : "float"
            }, {
              "name" : "refHomGenotypeFreq",
              "type" : [ "null", "float" ]
            }, {
              "name" : "hetGenotypeFreq",
              "type" : [ "null", "float" ]
            }, {
              "name" : "altHomGenotypeFreq",
              "type" : [ "null", "float" ]
            } ]
          }
        } ]
      }, {
        "name" : "minorAllele",
        "type" : [ "null", "string" ]
      }, {
        "name" : "minorAlleleFreq",
        "type" : [ "null", "float" ]
      }, {
        "name" : "conservation",
        "type" : [ "null", {
          "type" : "array",
          "items" : "Score"
        } ]
      }, {
        "name" : "geneExpression",
        "type" : [ "null", {
          "type" : "array",
          "items" : {
            "type" : "record",
            "name" : "Expression",
            "fields" : [ {
              "name" : "geneName",
              "type" : [ "null", "string" ]
            }, {
              "name" : "transcriptId",
              "type" : [ "null", "string" ]
            }, {
              "name" : "experimentalFactor",
              "type" : [ "null", "string" ]
            }, {
              "name" : "factorValue",
              "type" : [ "null", "string" ]
            }, {
              "name" : "experimentId",
              "type" : [ "null", "string" ]
            }, {
              "name" : "technologyPlatform",
              "type" : [ "null", "string" ]
            }, {
              "name" : "expression",
              "type" : [ "null", {
                "type" : "enum",
                "name" : "ExpressionCall",
                "symbols" : [ "UP", "DOWN" ]
              } ]
            }, {
              "name" : "pvalue",
              "type" : [ "null", "float" ]
            } ]
          }
        } ]
      }, {
        "name" : "geneTraitAssociation",
        "type" : [ "null", {
          "type" : "array",
          "items" : {
            "type" : "record",
            "name" : "GeneTraitAssociation",
            "fields" : [ {
              "name" : "id",
              "type" : "string"
            }, {
              "name" : "name",
              "type" : "string"
            }, {
              "name" : "hpo",
              "type" : [ "null", "string" ]
            }, {
              "name" : "score",
              "type" : [ "null", "float" ]
            }, {
              "name" : "numberOfPubmeds",
              "type" : [ "null", "int" ]
            }, {
              "name" : "associationTypes",
              "type" : [ "null", {
                "type" : "array",
                "items" : "string"
              } ]
            }, {
              "name" : "sources",
              "type" : [ "null", {
                "type" : "array",
                "items" : "string"
              } ]
            }, {
              "name" : "source",
              "type" : "string"
            } ]
          }
        } ]
      }, {
        "name" : "geneDrugInteraction",
        "type" : [ "null", {
          "type" : "array",
          "items" : {
            "type" : "record",
            "name" : "GeneDrugInteraction",
            "fields" : [ {
              "name" : "geneName",
              "type" : [ "null", "string" ]
            }, {
              "name" : "drugName",
              "type" : [ "null", "string" ]
            }, {
              "name" : "source",
              "type" : [ "null", "string" ]
            }, {
              "name" : "studyType",
              "type" : [ "null", "string" ]
            }, {
              "name" : "type",
              "type" : [ "null", "string" ]
            } ]
          }
        } ]
      }, {
        "name" : "variantTraitAssociation",
        "type" : [ "null", {
          "type" : "record",
          "name" : "VariantTraitAssociation",
          "fields" : [ {
            "name" : "clinvar",
            "type" : [ "null", {
              "type" : "array",
              "items" : {
                "type" : "record",
                "name" : "ClinVar",
                "fields" : [ {
                  "name" : "accession",
                  "type" : [ "null", "string" ]
                }, {
                  "name" : "clinicalSignificance",
                  "type" : [ "null", "string" ]
                }, {
                  "name" : "traits",
                  "type" : [ "null", {
                    "type" : "array",
                    "items" : "string"
                  } ]
                }, {
                  "name" : "geneNames",
                  "type" : [ "null", {
                    "type" : "array",
                    "items" : "string"
                  } ]
                }, {
                  "name" : "reviewStatus",
                  "type" : [ "null", "string" ]
                } ]
              }
            } ]
          }, {
            "name" : "gwas",
            "type" : [ "null", {
              "type" : "array",
              "items" : {
                "type" : "record",
                "name" : "Gwas",
                "fields" : [ {
                  "name" : "snpIdCurrent",
                  "type" : [ "null", "string" ]
                }, {
                  "name" : "traits",
                  "type" : [ "null", {
                    "type" : "array",
                    "items" : "string"
                  } ]
                }, {
                  "name" : "riskAlleleFrequency",
                  "type" : [ "null", "double" ]
                }, {
                  "name" : "reportedGenes",
                  "type" : [ "null", "string" ]
                } ]
              }
            } ]
          }, {
            "name" : "cosmic",
            "type" : [ "null", {
              "type" : "array",
              "items" : {
                "type" : "record",
                "name" : "Cosmic",
                "fields" : [ {
                  "name" : "mutationId",
                  "type" : [ "null", "string" ]
                }, {
                  "name" : "primarySite",
                  "type" : [ "null", "string" ]
                }, {
                  "name" : "siteSubtype",
                  "type" : [ "null", "string" ]
                }, {
                  "name" : "primaryHistology",
                  "type" : [ "null", "string" ]
                }, {
                  "name" : "histologySubtype",
                  "type" : [ "null", "string" ]
                }, {
                  "name" : "sampleSource",
                  "type" : [ "null", "string" ]
                }, {
                  "name" : "tumourOrigin",
                  "type" : [ "null", "string" ]
                }, {
                  "name" : "geneName",
                  "type" : [ "null", "string" ]
                }, {
                  "name" : "mutationSomaticStatus",
                  "type" : [ "null", "string" ]
                } ]
              }
            } ]
          } ]
        } ]
      }, {
        "name" : "traitAssociation",
        "type" : [ "null", {
          "type" : "array",
          "items" : {
            "type" : "record",
            "name" : "EvidenceEntry",
            "doc" : "An entry for an evidence",
            "fields" : [ {
              "name" : "source",
              "type" : {
                "type" : "record",
                "name" : "EvidenceSource",
                "doc" : "The source of an evidence.",
                "fields" : [ {
                  "name" : "name",
                  "type" : [ "null", "string" ],
                  "doc" : "Name of source"
                }, {
                  "name" : "version",
                  "type" : [ "null", "string" ],
                  "doc" : "Version of source"
                }, {
                  "name" : "date",
                  "type" : [ "null", "string" ],
                  "doc" : "The source date."
                } ]
              },
              "doc" : "Source of the evidence"
            }, {
              "name" : "submissions",
              "type" : {
                "type" : "array",
                "items" : {
                  "type" : "record",
                  "name" : "EvidenceSubmission",
                  "doc" : "The submission information",
                  "fields" : [ {
                    "name" : "submitter",
                    "type" : [ "null", "string" ],
                    "doc" : "The submitter"
                  }, {
                    "name" : "date",
                    "type" : [ "null", "string" ],
                    "doc" : "The submission date"
                  }, {
                    "name" : "id",
                    "type" : [ "null", "string" ],
                    "doc" : "The submission id"
                  } ]
                }
              },
              "doc" : "The list of submissions",
              "default" : [ ]
            }, {
              "name" : "somaticInformation",
              "type" : [ "null", {
                "type" : "record",
                "name" : "SomaticInformation",
                "doc" : "The somatic information.",
                "fields" : [ {
                  "name" : "primarySite",
                  "type" : [ "null", "string" ],
                  "doc" : "The primary site"
                }, {
                  "name" : "siteSubtype",
                  "type" : [ "null", "string" ],
                  "doc" : "The primary site subtype"
                }, {
                  "name" : "primaryHistology",
                  "type" : [ "null", "string" ],
                  "doc" : "The primary histology"
                }, {
                  "name" : "histologySubtype",
                  "type" : [ "null", "string" ],
                  "doc" : "The histology subtype"
                }, {
                  "name" : "tumourOrigin",
                  "type" : [ "null", "string" ],
                  "doc" : "The tumour origin"
                }, {
                  "name" : "sampleSource",
                  "type" : [ "null", "string" ],
                  "doc" : "The sample source, e.g. blood-bone marrow, cell-line, pancreatic"
                } ]
              } ],
              "doc" : "The somatic information"
            }, {
              "name" : "url",
              "type" : [ "null", "string" ],
              "doc" : "URL of source if any"
            }, {
              "name" : "id",
              "type" : [ "null", "string" ],
              "doc" : "ID of record in the source"
            }, {
              "name" : "assembly",
              "type" : [ "null", "string" ],
              "doc" : "The reference genome assembly"
            }, {
              "name" : "alleleOrigin",
              "type" : [ "null", {
                "type" : "array",
                "items" : {
                  "type" : "enum",
                  "name" : "AlleleOrigin",
                  "doc" : "Variant origin.\n\n* `SO_0001781`: de novo variant. http://purl.obolibrary.org/obo/SO_0001781\n* `SO_0001778`: germline variant. http://purl.obolibrary.org/obo/SO_0001778\n* `SO_0001775`: maternal variant. http://purl.obolibrary.org/obo/SO_0001775\n* `SO_0001776`: paternal variant. http://purl.obolibrary.org/obo/SO_0001776\n* `SO_0001779`: pedigree specific variant. http://purl.obolibrary.org/obo/SO_0001779\n* `SO_0001780`: population specific variant. http://purl.obolibrary.org/obo/SO_0001780\n* `SO_0001777`: somatic variant. http://purl.obolibrary.org/obo/SO_0001777",
                  "symbols" : [ "de_novo_variant", "germline_variant", "maternal_variant", "paternal_variant", "pedigree_specific_variant", "population_specific_variant", "somatic_variant" ]
                }
              } ],
              "doc" : "List of allele origins"
            }, {
              "name" : "heritableTraits",
              "type" : {
                "type" : "array",
                "items" : {
                  "type" : "record",
                  "name" : "HeritableTrait",
                  "doc" : "The entity representing a phenotype and its inheritance pattern.",
                  "fields" : [ {
                    "name" : "trait",
                    "type" : [ "null", "string" ],
                    "doc" : "The trait (e.g.: HPO term, MIM term, DO term etc.)"
                  }, {
                    "name" : "inheritanceMode",
                    "type" : [ "null", {
                      "type" : "enum",
                      "name" : "ModeOfInheritance",
                      "doc" : "An enumeration for the different mode of inheritances:\n\n* `monoallelic_not_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, not imprinted\n* `monoallelic_maternally_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, maternally imprinted (paternal allele expressed)\n* `monoallelic_paternally_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, paternally imprinted (maternal allele expressed)\n* `monoallelic`: MONOALLELIC, autosomal or pseudoautosomal, imprinted status unknown\n* `biallelic`: BIALLELIC, autosomal or pseudoautosomal\n* `monoallelic_and_biallelic`: BOTH monoallelic and biallelic, autosomal or pseudoautosomal\n* `monoallelic_and_more_severe_biallelic`: BOTH monoallelic and biallelic, autosomal or pseudoautosomal (but BIALLELIC mutations cause a more SEVERE disease form), autosomal or pseudoautosomal\n* `xlinked_biallelic`: X-LINKED: hemizygous mutation in males, biallelic mutations in females\n* `xlinked_monoallelic`: X linked: hemizygous mutation in males, monoallelic mutations in females may cause disease (may be less severe, later onset than males)\n* `mitochondrial`: MITOCHONDRIAL\n* `unknown`: Unknown\n* `NA`: Not applicable",
                      "symbols" : [ "monoallelic", "monoallelic_not_imprinted", "monoallelic_maternally_imprinted", "monoallelic_paternally_imprinted", "biallelic", "monoallelic_and_biallelic", "monoallelic_and_more_severe_biallelic", "xlinked_biallelic", "xlinked_monoallelic", "mitochondrial", "unknown", "NA" ]
                    } ],
                    "doc" : "The mode of inheritance"
                  } ]
                }
              },
              "doc" : "Heritable traits associated to this evidence",
              "default" : [ ]
            }, {
              "name" : "genomicFeatures",
              "type" : {
                "type" : "array",
                "items" : {
                  "type" : "record",
                  "name" : "GenomicFeature",
                  "doc" : "The genomic feature",
                  "fields" : [ {
                    "name" : "featureType",
                    "type" : [ "null", {
                      "type" : "enum",
                      "name" : "FeatureTypes",
                      "doc" : "The feature types",
                      "symbols" : [ "regulatory_region", "gene", "transcript", "protein" ]
                    } ],
                    "doc" : "Feature Type"
                  }, {
                    "name" : "ensemblId",
                    "type" : [ "null", "string" ],
                    "doc" : "Feature used, this should be a feature ID from Ensembl, (i.e, ENST00000544455)"
                  }, {
                    "name" : "xrefs",
                    "type" : [ "null", {
                      "type" : "map",
                      "values" : "string"
                    } ],
                    "doc" : "Others IDs. Fields like the HGNC symbol if available should be added here"
                  } ]
                }
              },
              "doc" : "The transcript to which the evidence refers",
              "default" : [ ]
            }, {
              "name" : "variantClassification",
              "type" : [ "null", {
                "type" : "record",
                "name" : "VariantClassification",
                "doc" : "The variant classification according to different properties.",
                "fields" : [ {
                  "name" : "clinicalSignificance",
                  "type" : [ "null", {
                    "type" : "enum",
                    "name" : "ClinicalSignificance",
                    "doc" : "Mendelian variants classification with ACMG terminology as defined in Richards, S. et al. (2015). Standards and\n        guidelines for the interpretation of sequence variants: a joint consensus recommendation of the American College\n        of Medical Genetics and Genomics and the Association for Molecular Pathology. Genetics in Medicine, 17(5),\n        405–423. https://doi.org/10.1038/gim.2015.30.\n\n    Classification for pharmacogenomic variants, variants associated to\n    disease and somatic variants based on the ACMG recommendations and ClinVar classification\n    (https://www.ncbi.nlm.nih.gov/clinvar/docs/clinsig/).\n\n* `benign_variant` : Benign variants interpreted for Mendelian disorders\n* `likely_benign_variant` : Likely benign variants interpreted for Mendelian disorders with a certainty of at least 90%\n* `pathogenic_variant` : Pathogenic variants interpreted for Mendelian disorders\n* `likely_pathogenic_variant` : Likely pathogenic variants interpreted for Mendelian disorders with a certainty of at\nleast 90%\n* `uncertain_significance` : Uncertain significance variants interpreted for Mendelian disorders. Variants with\nconflicting evidences should be classified as uncertain_significance",
                    "symbols" : [ "benign", "likely_benign", "VUS", "likely_pathogenic", "pathogenic", "uncertain_significance" ]
                  } ],
                  "doc" : "The variant's clinical significance."
                }, {
                  "name" : "drugResponseClassification",
                  "type" : [ "null", {
                    "type" : "enum",
                    "name" : "DrugResponseClassification",
                    "doc" : "Pharmacogenomics drug response variant classification\n* `responsive` : A variant that confers response to a treatment\n* `resistant` : A variant that confers resistance to a treatment\n* `toxicity` : A variant that is associated with drug-induced toxicity\n* `indication` : A variant that is required in order for a particular drug to be prescribed\n* `contraindication` : A variant that if present, a particular drug should not be prescribed\n* `dosing` : A variant that results in an alteration in dosing of a particular drug in order to achieve INR, reduce toxicity or increase efficacy\n* `increased_monitoring` : increase vigilance or increased dosage monitoring may be required for a patient with this variant to look for signs of adverse drug reactions\n* `efficacy` : a variant that affects the efficacy of the treatment",
                    "symbols" : [ "responsive", "resistant", "toxicity", "indication", "contraindication", "dosing", "increased_monitoring", "efficacy" ]
                  } ],
                  "doc" : "The variant's pharmacogenomics classification."
                }, {
                  "name" : "traitAssociation",
                  "type" : [ "null", {
                    "type" : "enum",
                    "name" : "TraitAssociation",
                    "doc" : "Association of variants to a given trait.\n* `established_risk_allele` : Established risk allele for variants associated to disease\n* `likely_risk_allele` : Likely risk allele for variants associated to disease\n* `uncertain_risk_allele` : Uncertain risk allele for variants associated to disease\n* `protective` : Protective allele",
                    "symbols" : [ "established_risk_allele", "likely_risk_allele", "uncertain_risk_allele", "protective" ]
                  } ],
                  "doc" : "The variant's trait association."
                }, {
                  "name" : "tumorigenesisClassification",
                  "type" : [ "null", {
                    "type" : "enum",
                    "name" : "TumorigenesisClassification",
                    "doc" : "Variant classification according to its relation to cancer aetiology.\n* `driver` : Driver variants\n* `passenger` : Passenger variants\n* `modifier` : Modifier variants",
                    "symbols" : [ "driver", "passenger", "modifier" ]
                  } ],
                  "doc" : "The variant's tumorigenesis classification."
                }, {
                  "name" : "functionalEffect",
                  "type" : [ "null", {
                    "type" : "enum",
                    "name" : "VariantFunctionalEffect",
                    "doc" : "Variant effect with Sequence Ontology terms.\n\n* `SO_0002052`: dominant_negative_variant (http://purl.obolibrary.org/obo/SO_0002052)\n* `SO_0002053`: gain_of_function_variant (http://purl.obolibrary.org/obo/SO_0002053)\n* `SO_0001773`: lethal_variant (http://purl.obolibrary.org/obo/SO_0001773)\n* `SO_0002054`: loss_of_function_variant (http://purl.obolibrary.org/obo/SO_0002054)\n* `SO_0001786`: loss_of_heterozygosity (http://purl.obolibrary.org/obo/SO_0001786)\n* `SO_0002055`: null_variant (http://purl.obolibrary.org/obo/SO_0002055)",
                    "symbols" : [ "dominant_negative_variant", "gain_of_function_variant", "lethal_variant", "loss_of_function_variant", "loss_of_heterozygosity", "null_variant" ]
                  } ],
                  "doc" : "The variant functional effect"
                } ]
              } ],
              "doc" : "The variant classification"
            }, {
              "name" : "impact",
              "type" : [ "null", {
                "type" : "enum",
                "name" : "EvidenceImpact",
                "doc" : "Evidence of pathogenicity and benign impact as defined in Richards, S. et al. (2015). Standards and guidelines for the interpretation\n    of sequence variants: a joint consensus recommendation of the American College of Medical Genetics and Genomics and\n    the Association for Molecular Pathology. Genetics in Medicine, 17(5), 405–423. https://doi.org/10.1038/gim.2015.30\n\nEvidence of pathogenicity:\n* `very_strong`:\n    - PVS1 null variant (nonsense, frameshift, canonical ±1 or 2 splice sites, initiation codon, single or multiexon\n    deletion) in a gene where LOF is a known mechanism of disease\n* `strong`:\n    - PS1 Same amino acid change as a previously established pathogenic variant regardless of nucleotide change\n    - PS2 De novo (both maternity and paternity confirmed) in a patient with the disease and no family history\n    - PS3 Well-established in vitro or in vivo functional studies supportive of a damaging effect on the gene or gene\n    product\n    - PS4 The prevalence of the variant in affected individuals is significantly increased compared with the prevalence\n    in controls\n* `moderate`:\n    - PM1 Located in a mutational hot spot and/or critical and well-established functional domain (e.g., active site of\n    an enzyme) without benign variation\n    - PM2 Absent from controls (or at extremely low frequency if recessive) in Exome Sequencing Project, 1000 Genomes\n    Project, or Exome Aggregation Consortium\n    - PM3 For recessive disorders, detected in trans with a pathogenic variant\n    - PM4 Protein length changes as a result of in-frame deletions/insertions in a nonrepeat region or stop-loss\n    variants\n    - PM5 Novel missense change at an amino acid residue where a different missense change determined to be pathogenic\n    has been seen before\n    - PM6 Assumed de novo, but without confirmation of paternity and maternity\n* `supporting`:\n    - PP1 Cosegregation with disease in multiple affected family members in a gene definitively known to cause the\n    disease\n    - PP2 Missense variant in a gene that has a low rate of benign missense variation and in which missense variants are\n    a common mechanism of disease\n    - PP3 Multiple lines of computational evidence support a deleterious effect on the gene or gene product\n    (conservation, evolutionary, splicing impact, etc.)\n    - PP4 Patient’s phenotype or family history is highly specific for a disease with a single genetic etiology\n    - PP5 Reputable source recently reports variant as pathogenic, but the evidence is not available to the laboratory\n    to perform an independent evaluation\n\nEvidence of benign impact:\n* `stand_alone`:\n    - BA1 Allele frequency is >5% in Exome Sequencing Project, 1000 Genomes Project, or Exome Aggregation\n    Consortium\n* `strong`:\n    - BS1 Allele frequency is greater than expected for disorder\n    - BS2 Observed in a healthy adult individual for a recessive (homozygous), dominant (heterozygous), or X-linked\n    (hemizygous) disorder, with full penetrance expected at an early age\n    - BS3 Well-established in vitro or in vivo functional studies show no damaging effect on protein function or\n    splicing\n    - BS4 Lack of segregation in affected members of a family\n* `supporting`:\n    - BP1 Missense variant in a gene for which primarily truncating variants are known to cause disease\n    - BP2 Observed in trans with a pathogenic variant for a fully penetrant dominant gene/disorder or observed in cis\n    with a pathogenic variant in any inheritance pattern\n    - BP3 In-frame deletions/insertions in a repetitive region without a known function\n    - BP4 Multiple lines of computational evidence suggest no impact on gene or gene product (conservation,\n    evolutionary, splicing impact, etc.)\n    - BP5 Variant found in a case with an alternate molecular basis for disease\n    - BP6 Reputable source recently reports variant as benign, but the evidence is not available to the laboratory to\n    perform an independent evaluation\n    - BP7 A synonymous (silent) variant for which splicing prediction algorithms predict no impact to the splice\n    consensus sequence nor the creation of a new splice site AND the nucleotide is not highly conserved",
                "symbols" : [ "very_strong", "strong", "moderate", "supporting", "stand_alone" ]
              } ],
              "doc" : "Impact of evidence. Should be coherent with the classification of impact if provided."
            }, {
              "name" : "confidence",
              "type" : [ "null", {
                "type" : "enum",
                "name" : "Confidence",
                "doc" : "Confidence based on the Confidence Information Ontology\n\n* `CIO_0000029`: high confidence level http://purl.obolibrary.org/obo/CIO_0000029\n* `CIO_0000031`: low confidence level http://purl.obolibrary.org/obo/CIO_0000031\n* `CIO_0000030`: medium confidence level http://purl.obolibrary.org/obo/CIO_0000030\n* `CIO_0000039`: rejected http://purl.obolibrary.org/obo/CIO_0000039",
                "symbols" : [ "low_confidence_level", "medium_confidence_level", "high_confidence_level", "rejected" ]
              } ],
              "doc" : "The curation confidence."
            }, {
              "name" : "consistencyStatus",
              "type" : [ "null", {
                "type" : "enum",
                "name" : "ConsistencyStatus",
                "doc" : "The consistency of evidences for a given phenotype. This aggregates all evidences for a given phenotype and all\n    evidences with no phenotype associated (e.g.: in silico impact prediction, population frequency).\n    This is based on the Confidence Information Ontology terms.\n\n* `CIO_0000033`: congruent, all evidences are consistent. http://purl.obolibrary.org/obo/CIO_0000033\n* `CIO_0000034`: conflict, there are conflicting evidences. This should correspond to a `VariantClassification` of\n`uncertain_significance` for mendelian disorders. http://purl.obolibrary.org/obo/CIO_0000034\n* `CIO_0000035`: strongly conflicting. http://purl.obolibrary.org/obo/CIO_0000035\n* `CIO_0000036`: weakly conflicting. http://purl.obolibrary.org/obo/CIO_0000036",
                "symbols" : [ "congruent", "conflict", "weakly_conflicting", "strongly_conflicting" ]
              } ],
              "doc" : "The consistency status. This is applicable to complex evidences (e.g.: ClinVar)"
            }, {
              "name" : "ethnicity",
              "type" : {
                "type" : "enum",
                "name" : "EthnicCategory",
                "doc" : "This is the list of ethnics in ONS16\n\n* `D`:  Mixed: White and Black Caribbean\n* `E`:  Mixed: White and Black African\n* `F`:  Mixed: White and Asian\n* `G`:  Mixed: Any other mixed background\n* `A`:  White: British\n* `B`:  White: Irish\n* `C`:  White: Any other White background\n* `L`:  Asian or Asian British: Any other Asian background\n* `M`:  Black or Black British: Caribbean\n* `N`:  Black or Black British: African\n* `H`:  Asian or Asian British: Indian\n* `J`:  Asian or Asian British: Pakistani\n* `K`:  Asian or Asian British: Bangladeshi\n* `P`:  Black or Black British: Any other Black background\n* `S`:  Other Ethnic Groups: Any other ethnic group\n* `R`:  Other Ethnic Groups: Chinese\n* `Z`:  Not stated",
                "symbols" : [ "D", "E", "F", "G", "A", "B", "C", "L", "M", "N", "H", "J", "K", "P", "S", "R", "Z" ]
              },
              "doc" : "Ethnicity"
            }, {
              "name" : "penetrance",
              "type" : [ "null", {
                "type" : "enum",
                "name" : "Penetrance",
                "doc" : "Penetrance assumed in the analysis",
                "symbols" : [ "complete", "incomplete" ]
              } ],
              "doc" : "The penetrance of the phenotype for this genotype. Value in the range [0, 1]"
            }, {
              "name" : "variableExpressivity",
              "type" : [ "null", "boolean" ],
              "doc" : "Variable expressivity of a given phenotype for the same genotype"
            }, {
              "name" : "description",
              "type" : [ "null", "string" ],
              "doc" : "Evidence description"
            }, {
              "name" : "additionalProperties",
              "type" : {
                "type" : "array",
                "items" : {
                  "type" : "record",
                  "name" : "Property",
                  "doc" : "A property in the form of name-value pair.\n    Names are restricted to ontology ids, they should be checked against existing ontologies in resources like\n    Ontology Lookup Service.",
                  "fields" : [ {
                    "name" : "id",
                    "type" : [ "null", "string" ],
                    "doc" : "The ontology term id or accession in OBO format ${ONTOLOGY_ID}:${TERM_ID} (http://www.obofoundry.org/id-policy.html)"
                  }, {
                    "name" : "name",
                    "type" : [ "null", "string" ],
                    "doc" : "The ontology term name"
                  }, {
                    "name" : "value",
                    "type" : [ "null", "string" ],
                    "doc" : "Optional value for the ontology term, the type of the value is not checked\n        (i.e.: we could set the pvalue term to \"significant\" or to \"0.0001\")"
                  } ]
                }
              },
              "doc" : "A list of additional properties in the form name-value.",
              "default" : [ ]
            }, {
              "name" : "bibliography",
              "type" : {
                "type" : "array",
                "items" : "string"
              },
              "doc" : "Bibliography",
              "default" : [ ]
            } ]
          }
        } ]
      }, {
        "name" : "functionalScore",
        "type" : [ "null", {
          "type" : "array",
          "items" : "Score"
        } ]
      }, {
        "name" : "cytoband",
        "type" : [ "null", {
          "type" : "array",
          "items" : {
            "type" : "record",
            "name" : "Cytoband",
            "fields" : [ {
              "name" : "chromosome",
              "type" : [ "null", "string" ]
            }, {
              "name" : "stain",
              "type" : [ "null", "string" ]
            }, {
              "name" : "name",
              "type" : [ "null", "string" ]
            }, {
              "name" : "start",
              "type" : [ "null", "int" ]
            }, {
              "name" : "end",
              "type" : [ "null", "int" ]
            } ]
          }
        } ]
      }, {
        "name" : "repeat",
        "type" : [ "null", {
          "type" : "array",
          "items" : {
            "type" : "record",
            "name" : "Repeat",
            "fields" : [ {
              "name" : "id",
              "type" : [ "null", "string" ]
            }, {
              "name" : "chromosome",
              "type" : [ "null", "string" ]
            }, {
              "name" : "start",
              "type" : [ "null", "int" ]
            }, {
              "name" : "end",
              "type" : [ "null", "int" ]
            }, {
              "name" : "period",
              "type" : [ "null", "int" ]
            }, {
              "name" : "consensusSize",
              "type" : [ "null", "int" ]
            }, {
              "name" : "copyNumber",
              "type" : [ "null", "float" ]
            }, {
              "name" : "percentageMatch",
              "type" : [ "null", "float" ]
            }, {
              "name" : "score",
              "type" : [ "null", "float" ]
            }, {
              "name" : "sequence",
              "type" : [ "null", "string" ]
            }, {
              "name" : "source",
              "type" : [ "null", "string" ]
            } ]
          }
        } ]
      }, {
        "name" : "drugs",
        "type" : [ "null", {
          "type" : "array",
          "items" : {
            "type" : "record",
            "name" : "Drug",
            "fields" : [ {
              "name" : "therapeuticContext",
              "type" : [ "null", "string" ]
            }, {
              "name" : "pathway",
              "type" : [ "null", "string" ]
            }, {
              "name" : "effect",
              "type" : [ "null", "string" ]
            }, {
              "name" : "association",
              "type" : [ "null", "string" ]
            }, {
              "name" : "status",
              "type" : [ "null", "string" ]
            }, {
              "name" : "evidence",
              "type" : [ "null", "string" ]
            }, {
              "name" : "bibliography",
              "type" : [ "null", {
                "type" : "array",
                "items" : "string"
              } ]
            } ]
          }
        } ]
      }, {
        "name" : "additionalAttributes",
        "type" : [ "null", {
          "type" : "map",
          "values" : {
            "type" : "record",
            "name" : "AdditionalAttribute",
            "fields" : [ {
              "name" : "attribute",
              "type" : {
                "type" : "map",
                "values" : "string"
              }
            } ]
          }
        } ],
        "default" : null
      } ]
    } ],
    "doc" : "* Annotations of the genomic variation.",
    "default" : null
  } ]
}
